Upstream information

CVE-2019-13104 at MITRE

Description

In Das U-Boot versions 2016.11-rc1 through 2019.07-rc4, an underflow can cause memcpy() to overwrite a very large amount of data (including the whole stack) while reading a crafted ext4 filesystem.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 6.8
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High High
Availability Impact High Low
SUSE Bugzilla entry: 1144675 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Module for Basesystem 15
  • u-boot >= 2018.03-4.3.1
  • u-boot-rpi3 >= 2018.03-4.3.1
  • u-boot-tools >= 2018.03-4.3.1
  • u-boot-tools-debuginfo >= 2018.03-4.3.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • u-boot >= 2019.01-7.3.1
  • u-boot-rpi3 >= 2019.01-7.3.1
  • u-boot-tools >= 2019.01-7.3.1
  • u-boot-tools-debuginfo >= 2019.01-7.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • u-boot-bananapim64 >= 2019.01-7.3.1
  • u-boot-bananapim64-doc >= 2019.01-7.3.1
  • u-boot-dragonboard410c >= 2019.01-7.3.1
  • u-boot-dragonboard410c-doc >= 2019.01-7.3.1
  • u-boot-dragonboard820c >= 2019.01-7.3.1
  • u-boot-dragonboard820c-doc >= 2019.01-7.3.1
  • u-boot-evb-rk3399 >= 2019.01-7.3.1
  • u-boot-evb-rk3399-doc >= 2019.01-7.3.1
  • u-boot-firefly-rk3399 >= 2019.01-7.3.1
  • u-boot-firefly-rk3399-doc >= 2019.01-7.3.1
  • u-boot-geekbox >= 2019.01-7.3.1
  • u-boot-geekbox-doc >= 2019.01-7.3.1
  • u-boot-hikey >= 2019.01-7.3.1
  • u-boot-hikey-doc >= 2019.01-7.3.1
  • u-boot-khadas-vim >= 2019.01-7.3.1
  • u-boot-khadas-vim-doc >= 2019.01-7.3.1
  • u-boot-khadas-vim2 >= 2019.01-7.3.1
  • u-boot-khadas-vim2-doc >= 2019.01-7.3.1
  • u-boot-ls1012afrdmqspi >= 2019.01-7.3.1
  • u-boot-ls1012afrdmqspi-doc >= 2019.01-7.3.1
  • u-boot-mvebudb-88f3720 >= 2019.01-7.3.1
  • u-boot-mvebudb-88f3720-doc >= 2019.01-7.3.1
  • u-boot-mvebudbarmada8k >= 2019.01-7.3.1
  • u-boot-mvebudbarmada8k-doc >= 2019.01-7.3.1
  • u-boot-mvebuespressobin-88f3720 >= 2019.01-7.3.1
  • u-boot-mvebuespressobin-88f3720-doc >= 2019.01-7.3.1
  • u-boot-mvebumcbin-88f8040 >= 2019.01-7.3.1
  • u-boot-mvebumcbin-88f8040-doc >= 2019.01-7.3.1
  • u-boot-nanopia64 >= 2019.01-7.3.1
  • u-boot-nanopia64-doc >= 2019.01-7.3.1
  • u-boot-odroid-c2 >= 2019.01-7.3.1
  • u-boot-odroid-c2-doc >= 2019.01-7.3.1
  • u-boot-orangepipc2 >= 2019.01-7.3.1
  • u-boot-orangepipc2-doc >= 2019.01-7.3.1
  • u-boot-p2371-2180 >= 2019.01-7.3.1
  • u-boot-p2371-2180-doc >= 2019.01-7.3.1
  • u-boot-p2771-0000-500 >= 2019.01-7.3.1
  • u-boot-p2771-0000-500-doc >= 2019.01-7.3.1
  • u-boot-pine64plus >= 2019.01-7.3.1
  • u-boot-pine64plus-doc >= 2019.01-7.3.1
  • u-boot-pinebook >= 2019.01-7.3.1
  • u-boot-pinebook-doc >= 2019.01-7.3.1
  • u-boot-pineh64 >= 2019.01-7.3.1
  • u-boot-pineh64-doc >= 2019.01-7.3.1
  • u-boot-poplar >= 2019.01-7.3.1
  • u-boot-poplar-doc >= 2019.01-7.3.1
  • u-boot-rock960-rk3399 >= 2019.01-7.3.1
  • u-boot-rock960-rk3399-doc >= 2019.01-7.3.1
  • u-boot-rpi3 >= 2019.01-7.3.1
  • u-boot-rpi3-doc >= 2019.01-7.3.1
  • u-boot-xilinxzynqmpgeneric >= 2019.01-7.3.1
  • u-boot-xilinxzynqmpgeneric-doc >= 2019.01-7.3.1
  • u-boot-xilinxzynqmpzcu102rev10 >= 2019.01-7.3.1
  • u-boot-xilinxzynqmpzcu102rev10-doc >= 2019.01-7.3.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 u-boot Affected
SUSE Linux Enterprise Module for Basesystem 15 GA u-boot In progress
SUSE Linux Enterprise Module for Basesystem 15 SP1 u-boot In progress
SUSE Linux Enterprise Server 12 SP3 u-boot Affected
SUSE Linux Enterprise Server 12 SP4 u-boot Affected